dotConnect for Oracle Kompatibilität

Kompatibilität

Oracle Compatibility
  • Oracle servers 19c, 18c, 12c, 11g, 10g, 9i, 8i, 8.0 and 7.3, including Personal and Express editions.
  • dotConnect for Oracle supports both x86 and x64 versions of the following Oracle clients: 19c, 18c, 12c, 11g, 10g, 9i, 8i and 8.0.
  • dotConnect for Oracle also supports Oracle TimesTen 11g Release 1 and Oracle TimesTen 11g Release 2.
  • For Entity Framework and LinqConnect dotConnect for Oracle supports Oracle servers 9i and higher.
Framework Compatibility
  • Microsoft .NET Framework 2.0, 3.0, 3.5, 4.0, 4.5, 4.6, 4.7, 4.8
  • Microsoft .NET Core 1.x, 2.x, and 3.0
  • Microsoft .NET Compact Framework 2.0 and above
  • Mono version 2.0 and above
  • dotConnect for Oracle is compatible with ADO.NET Entity Framework v1, v4.x, v5, and v6 and Entity Framework Core 1.1, 2.2, and 3.0 (Oracle server 9.2.0.4 or higher is required for Entity Framework).
IDE Compatibility
  • Microsoft Visual Studio 2019
  • Microsoft Visual Studio 2017
  • Microsoft Visual Studio 2015
  • Microsoft Visual Studio 2013
  • Microsoft Visual Studio 2012
  • Microsoft Visual Studio 2010
  • Microsoft Visual Studio 2008